---
obj: concept
website: https://gitmoji.dev
---

# Gitmoji
An emoji guide for your commit messages

## Add

## Fixes
- 🦠 ```:microbe:``` : Fixing Vulnerabilities
- 🔒️ ```:lock:``` : Fix security issues
- 🚑️ ```:ambulance:``` : Critical hotfix
- 🐛 ```:bug:``` : Fix Bug
- 🩹 ```:adhesive_bandage:``` : Simple fix for a non-critical issue
- 🚨 ```:rotating_light:``` : Fix compiler / linter warnings

## Remove
- 💀 ```:skull:``` : Remove dead code
- 🔥 ```:fire:``` : Remove code or files
- 🗑️ ```:wastebasket:``` : Deprecate code that needs to be cleaned up

## Tests
- ⚗️ ```:alembic:``` : Experiments
- ✅ ```:white_check_mark:``` : Add, update, or pass tests
- 🧪 ```:test_tube:``` : Tests

## Changes
- 🔐 ```:closed_lock_with_key:``` : Update Secrets
- 🖇️ ```:paperclips:``` : [Git](Git.md) Submodules
- ✍️ ```:writing_hand:``` : Rewrite Code
- 🚚 ```:truck:``` : Move or rename resources (e.g.: files, paths, routes)
- 🥞 ```:pancakes:``` : Database Changes
- ♻️ ```:recycle:``` : Refactor code
- 🔧 ```:wrench:``` : Add or update configuration files
- 🔨 ```:hammer:``` : Add or update development scripts
- 👽️ ```:alien:``` : Update code due to external API changes
- 💥 ```:boom:``` : Introduce breaking changes
- 🍱 ```:bento:``` : Add or update assets
- ♿️ ```:wheelchair:``` : Accessibility
- 💡 ```:bulb:``` : Add or update comments in source code
- 🏗️ ```:building_construction:``` : Make architectural changes
- 🥚 ```:egg:``` : Add or update an easter egg
- 🛂 ```:passport_control:``` : Work on code related to authorization, roles and permissions
- 🧱 ```:bricks:``` : Infrastructure related changes
- ⚡️ ```:zap:``` : Improve Performance
- ✨ ```:sparkles:``` : New Features
- 🚀 ```:rocket:``` : Deploy
- 🚧 ```:construction:``` : Work in progress
- 🌐 ```:globe_with_meridians:``` : Internationalization and localization
- ✏️ ```:pencil2:``` : Fix typos

## Documentation
- 📝 ```:memo:``` : Add or update documentation
- 📋 ```:clipboard:``` : Add TODOs
- 📄 ```:page_facing_up:``` : Add or update license

## CI
- 👷 ```:construction_worker:``` : Add or update CI build system
- 💚 ```:green_heart:``` : Fix CI

## Packaging
- 🐳 ```:whale:``` : [Docker](../tools/Docker.md)
- 📦 ```:package:``` : Packaging changes

## State
- 😴 ```:sleeping:``` : Write code sleeplessly
- 🍷 ```:wine_glass:``` : Drunk code
- ☕ ```:coffee_break:``` : Commit before break

## Dependency
- ✖️ ```:heavy_multiplication_x:``` : Replace a dependency
- ⬇️ ```:arrow_down:``` : Downgrade dependency
- ⬆️ ```:arrow_up:``` : Upgrade dependency
- 📌 ```:pushpin:``` : Pin dependency versions
- ➕ ```:heavy_plus_sign:``` : Add dependency
- ➖ ```:heavy_minus_sign:``` : Remove dependency

## Collaboration
- 🤝 ```:handshake:``` : Code Review

## [Git](Git.md)
- 🔖 ```:bookmark:``` : Version Tag
- ⏪️ ```:rewind:``` : Revert changes
- 🔀 ```:twisted_rightwards_arrows:``` : Merge branches
- 🎉 ```:tada:``` : Init Commit
- 🙈 ```:see_no_evil:``` : Add or update a .gitignore file
